import { FormArray, FormGroup, ValidatorFn } from '@angular/forms';
import { DependentValidatorBuilderFactory } from '../declarations';
export declare class DependentValidator<T extends FormGroup | FormArray> {
    private rootFn;
    private builderFn;
    private builder;
    private subscribedControls;
    private subscription;
    constructor(rootFn: () => T, builderFn: DependentValidatorBuilderFactory<T>);
    reset(): void;
    applyValidator(path: string | string[], firstValidator: ValidatorFn, ...validators: ValidatorFn[]): this;
    createValidator(firstValidator: ValidatorFn, ...validators: ValidatorFn[]): ValidatorFn;
}
