import { AbstractControl, FormArray, FormGroup } from '@angular/forms';
import { DependentValidatorBuilderFactory } from './declarations';
import { DependentValidator } from './dependant-validator';
export declare class FormUtils<T extends FormGroup | FormArray> {
    private readonly rootFn;
    private _root;
    readonly root: T;
    constructor(rootFn: T | (() => T));
    tapControls(action?: (control: AbstractControl) => void, updateState?: boolean): void;
    createDependentValidator(builderFn: DependentValidatorBuilderFactory<T>): DependentValidator<T>;
    makePristine(): void;
    makeDirty(): void;
}
